<div class="scheme_detail row" ng-controller="book.BOOKSchemeDetailCtrl">
    <ol class="breadcrumb pl0 col-sm-12">
      <li>
        <a href="/#/book">预订管理</a>
      </li>
        <li class="active ng-binding">方案详情</li>
    </ol>
    <div class="scheme-content-panel col-sm-7">
        <header class="scheme-content-header">
            <div>
                <span>{{ vm.schemeInfo.tc.companyName }} <span class="text-primary ml10" ng-if="vm.schemeInfo.stateText == 'selected'">已选中</span></span>
                <span class="pull-right">
                    {{ vm.schemeInfo.happenAt | date: 'yyyy-MM-dd HH:mm'}}
                </span>
            </div>
            <div>
                <div class="op-info-panel mt20">
                    <img class="avatar" go-src="{{ vm.schemeInfo.tc.avatar }}" alt="{{ vm.schemeInfo.tc.name }}">
                    <div class="op-info  ml5">
                        <span>{{ vm.schemeInfo.tc.name }}</span>
                        <br/>
                        <span>{{ vm.schemeInfo.tc.phone }}</span>
                    </div>
                </div>
                <div class="pull-right mt20 scheme-price">总价格： <span>￥{{ vm.schemeInfo.amount | price }}</span></div>
            </div>
        </header>
        <hr>
        <div  class="scheme-content-desc content-word-break">
            <p ng-bind-html="vm.schemeInfo.description | justHtml"></p>
        </div>
        <footer class="scheme-content-footer">
            <button class="btn btn-info w100 mt20" type="button" ng-click="api.showSelectInfoPanel(vm.schemeInfo)" ng-if="vm.schemeInfo.stateText == 'waiting'">选择此方案</button>
            <button class="btn btn-readonly w100 mt20" ng-if="vm.schemeInfo.stateText == 'selected' || vm.schemeInfo.stateText == 'hasOrder'">已选中</button>
            <button class="btn btn-readonly w100 mt20" ng-if="vm.schemeInfo.stateText == 'unselected'">未选中</button>
            <button class="btn btn-info w100 pull-right mt20" type="button" ui-sref="order.detail({id: vm.schemeInfo.orderId})" ng-if="vm.schemeInfo.stateText == 'hasOrder'">订单详情</button>
        </footer>
    </div>
    <div class="scheme-chat-panel col-sm-5">
        <div class="scheme-chat-info" id="discuss-panel">
            <div class="clearfix" ng-repeat = "chatInfo in vm.chatInfoList track by $index">
                <div class="text-center">{{ chatInfo.happedAt }}</div>
                <div class="mt10 mb20" ng-if="chatInfo.isTc">
                    <img class="avatar" go-src="{{ chatInfo.discusser.avatar }}" alt="{{ chatInfo.discusser.name }}">
                    <div class="ml10 discusser-info">
                        <span class="user-name">{{ chatInfo.discusser.name }}</span>
                        <div class="bubble-panel left-bubble-panel">{{ chatInfo.comment }}</div>
                    </div>
                </div>
                <div class="mt10 pull-right mb20" ng-if="!chatInfo.isTc">
                    <div class="mr10 discusser-info">
                        <span class="user-name right">{{ chatInfo.discusser.name }}</span>
                        <div class="bubble-panel right-bubble-panel">{{ chatInfo.comment }}</div>
                    </div>
                    <img class="avatar" go-src="{{ chatInfo.discusser.avatar }}" alt="{{ chatInfo.discusser.name }}">
                </div>
            </div>
        </div>
        <div class="scheme-chat-reply">
            <div>
                <textarea placeholder="输入您的回复..." ng-model="vm.discussContent"></textarea>
            </div>
            <button class="btn btn-default w100 pull-right mt10" type="button" ng-disabled="!!!vm.discussContent" ng-click="api.pushChatInfo(vm.discussContent)">回复</button>
        </div>
    </div>
</div>
